%global dlrn_nvr neutron-tempest-plugin-2.1.0-1.20230508093957.021ce91
%global dlrn 1
%define upstream_version 2.1.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%global service neutron
%global plugin neutron-tempest-plugin
%global module neutron_tempest_plugin
%global with_doc 0


%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the Neutron project. \
Additionally it provides a plugin to automatically load these tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 2.1.0
Release: 1.20230508093958%{?dist}
Summary:    Tempest Integration of Neutron Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: neutron-tempest-plugin-2.1.0-1.20230508093957.021ce91.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=021ce916c6b72f15fa1b873b2c01c1409ca0b37d
Patch0001: 0001-Make-dns_domain-value-configurable.patch
Patch0002: 0002-Run-security-group-api-tests-against-stateless-secur.patch
Patch0003: 0003-Run-security-group-scenario-tests-against-stateless-.patch
Patch0004: 0004-Skip-stateless-SG-related-tests-for-backends-which-d.patch
Patch0005: 0005-Stateless-SG-Add-negative-API-tests-for-Stateless-SG.patch
Patch0006: 0006-Stateless-SG-Fix-usage-of-the-default-stateless-SG.patch
Patch0007: 0007-Fix-the-way-how-default-SG-for-project-if-found-in-S.patch
Patch0008: 0008-Stateless-SG-Add-test-to-check-change-stateful-to-st.patch
Patch0009: 0009-Stateful-SG-tests-without-ingress-metadata-rule.patch
Patch0010: 0010-Stateless-SG-Add-test-to-check-connectivity-between-.patch
Patch0011: 0011-Stateless-SG-Ensure-replies-won-t-work-without-ingre.patch
Patch0012: 0012-Stateless-SG-Test-if-TCP-packets-with-various-conn-s.patch
Patch0013: 0013-Stateless-SG-Test-fragmented-traffic-is-allowed-by-s.patch
Patch0014: 0014-Set-unlimited-SG-rules-quota-in-security-groups-scen.patch
Patch0015: 0015-Get-nc-client-s-command-based-on-the-nc-on-correct-h.patch
Patch0016: 0016-Stateless-SG-Add-IPv6-and-DHCP-related-tests.patch
Patch0017: 0017-Don-t-check-exit-status-when-nc_client-is-spawned.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        http://tarballs.openstack.org/%{plugin}/%{plugin}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}

Obsoletes: python-neutron-tests < 1:12.0.0

Provides: python3-networking-bgpvpn-tests-tempest = %{version}-%{release}
Provides: python-networking-bgpvpn-tests-tempest = %{version}-%{release}
Obsoletes: python3-networking-bgpvpn-tests-tempest

Provides: python3-networking-sfc-tests-tempest = 9.0.0-%{release}
Provides: python-networking-sfc-tests-tempest = 9.0.0-%{release}
Obsoletes: python3-networking-sfc-tests-tempest < 9.0.0

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-ddt >= 1.0.1
Requires:   python3-eventlet >= 0.20.1
Requires:   python3-netaddr >= 0.7.19
Requires:   python3-debtcollector >= 1.2.0
Requires:   python3-neutron-lib >= 1.25.0
Requires:   python3-os-ken >= 0.3.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-oslo-utils >= 3.33.0
Requires:   python3-paramiko >= 2.0.0
Requires:   python3-pbr >= 3.3.1
Requires:   python3-six  >= 1.10.0
Requires:   python3-tempest >= 1:18.0.0
Requires:   python3-testtools >= 2.2.0
Requires:   python3-testscenarios >= 0.5.0
Requires:   python3-tenacity >= 3.2.1
Requires:   nmap

%description -n python3-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        Documentation for python-%{service}-tests-tempest

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the Neutron tempest plugin.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{py3_build}

# Generate Docs
%if 0%{?with_doc}
sphinx-build -W -b html doc/source doc/build/html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Tue Jun 20 2023 Lon Hohberger <lhh@redhat.com> 2.1.0-1.20230508093958
- Don't check exit status when nc_client is spawned (rhbz#2210233)

* Mon May 08 2023 OSP Prod Chain <dev-null@redhat.com> 2.1.0-1.20230508093957.021ce91
- [Stateless SG] Add IPv6 and DHCP related tests
- Get nc client's command based on the nc on correct host
- Set unlimited SG rules quota in security groups scenario tests (rhbz#2184349)
- [Stateless SG] Test fragmented traffic is allowed by stateless SG
- [Stateless SG] Test if TCP packets with various conn state are allowed
- [Stateless SG] Ensure replies won't work without ingress rule
- [Stateless SG] Add test to check connectivity between vms
- Stateful SG tests without ingress metadata rule
- [Stateless SG] Add test to check change stateful to stateless SG
- Fix the way how default SG for project if found in SG scenario test
- [Stateless SG] Fix usage of the default stateless SG
- [Stateless SG] Add negative API tests for Stateless SG
- Skip stateless SG related tests for backends which don't support it
- Run security group scenario tests against stateless security groups too
- Run security group api tests against stateless security groups too

* Wed Feb 22 2023 OSP Prod Chain <dev-null@redhat.com> 2.1.0-1.20230222144048.021ce91
- Make dns_domain value configurable (rhbz#2171420)

* Mon Feb 06 2023 OSP Prod Chain <dev-null@redhat.com> 2.1.0-1.20230206163818.021ce91
- Update patches
- Revert "Update nested-virt testing for the 2023.1 cycle"
- Skip "test_port_resource_request_no_provider_net_conflict"
- Drop unused branch_override
- Update nested-virt testing for the 2023.1 cycle
- Add .pylintrc to irrelevant-files
- Remove "dhcp_agent_scheduler" API extension from common list
- Add job definitions for Zed branch
- Run master scenario/api jobs on api test updates
- list floating ip api contains port forwarding id
- skip some port_forwarding test
- Create extra external network with address scope for `ndp proxy` tests
- Remove nose from dependencies
- Retrieve the DSCP valid marks from the API
- Stein: fix failing jobs
- Use StatefulConnection class to verify connectivity in SG tests
- Make the StatefulConnection class to work with priviliged ports
- Delete tcp rule from a security group
- Add a test for removing security group from ACTIVE instance
- Enable execution of experimental linuxbridge job
- Bump swap to 2GB in linuxbridge/openvswitch jobs
- Add ndp proxy API tests
- Remove unicode literal from code
- Set mac inside vm to the vlan interface
- Skip tempest jobs on functional roles/playbooks changes
- Fix Train neutron-tempest-plugin api job
- Pin neutron-tempest-plugin for ussuri/victoria jobs
- Consolidate neutron-tempest-plugin-api with scenario jobs
- Add irrelevant files for fwaas job
- taas: use ssh_key_type from config for taas scenario
- Remove "distutils" library
- [OVS] Add "openflow_processed_per_port=True" to OVS scenario
- Make test test_remove_associated_ports to be compatible with L3HA
- Fix wrong exceptions import from test_metadata
- Collect ovn/ovs logs and ovn dbs
- Print VM console output upon different exceptions
- [fwaas] Remove _create_subnet & setup_clients
- [fwaas] Remove get_remote_client & check_vm_connectivity
- Exclude test test_floatingip_port_details from the Linuxbridge job
- [bgpvpn] Remove get_remote_client
- [bgpvpn] Remove setup_clients method
- [bgpvpn] Replace security groups related methods
- [fwaas] Remove _get_server_port_id_and_ip4 & create_floating_ip
- [bgpvpn] Make _create_loginable_secgroup_rule public
- [bgpvpn] Remove _get_server_port_id_and_ip4 & create_floating_ip
- [fwaas] Remove _log_console_output & ping_ip_address
- [fwaas] Remove create_server & _create_network
- [fwaas] Remove secgroup creation related methods
- [bgpvpn] Remove _create_network & _log_console_output
- [bgpvpn] Remove _create_port & create_keypair
- [fwaas] Remove _create_port & create_keypair
- [fwaas] Remove unused methods
- [bgpvpn] Remove unused scenario.manager methods
- [sfc] Remove setup_clients method
- [sfc] Remove _get_server_port_id_and_ip4 & check_vm_connectivity
- [sfc] Remove _get_router & _create_network
- [sfc] Remove _create_subnet & _check_tenant_network_connectivity
- [sfc] Remove create_networks & create_floating_ip
- [sfc] Remove _get_network_by_name & check_floating_ip_status
- [sfc] Remove _log_console_output & ping_ip_address
- [sfc] Remove create_server & get_remote_client
- [sfc] Remove _create_port & create_keypair
- [sfc] Remove unused router related methods
- [sfc] Remove unused sec groups methods
- [sfc] Remove unused check_remote_connectivity methods
- [sfc] Remove unused floating ip methods
- Test dns_assignment with external dns integration
- [OVN] Pin OVS version for OVN v21.06.0
- CI: Fix typo for override-checkout and branch_override
- Add job definitions for Yoga branch
- Add tap-as-a-service scenario tests

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.0-1.20220727184837.6b5360e
- Make test test_remove_associated_ports to be compatible with L3HA (rhbz#2106551)

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.0-1.20220714133549.6b5360e
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.0-1.20220713083546.6b5360e
- Fix wrong exceptions import from test_metadata (rhbz#2102732)

* Sun May 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.9.0-0.20220515172257.6b5360e
- Update patches
- Recover ssh interface config and interface reload

* Sun May 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-0.20220515161829.255586c
- Recover ssh interface config and interface reload

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-0.20220317022305.255586c
- Update patches
- Move RULE_TYPE_MINIMUM_PACKET_RATE under setup method
- Honour ssh_key_type config for keypair and ssh clients
- Adapt StatefulConnection class to advance image
- Re enable trunk_subport_lifecycle scenario test
- Readd jobs for neutron-fwaas master branch
- Add test to verify DHCP port IP address modification
- Test port.resource_request format with min bw and min pps rules
- Fix test_port_resource_request_inherited_policy test
- Update irrelevant-files to skip run of untouched jobs
- Re-enable IPv6Test in OVN scenario job
- Use random policy names in test_qos and test_qos_negative
- Update irrelevant-files for scenario jobs
- Use random name in qos test_list_policy_filter_by_name
- Add local ip scenario tests
- Update python testing classifier
- Add Local IP API tests
- QoS min pps API tests
- Update PortTestCasesResourceRequest for new Neutron API ext
- Add logs for test_floatingip_port_details
- Add logging API delete corresponding SG test
- Add 'port-device-profile' to the API extensions list
- Add jobs definitions for Xena branch
- Restructure move to nested virt nodes
- Set SG quota for specific project.
- Add test_create_and_update_port_with_dns_name
- Update irrelevant-files for stadium project's tests
- Update irrelevant-files for api/scenario jobs
- Switch scenario jobs to nested-virt nodes
- Add test_create_port_with_dns_name
- test_list_agent: pop 'alive' from agent dict
- Log console output for mac_learning and multicast tests
- Use admin_client to list admin's servers' ports
- Add stateless security group test case
- [stable/rocky] Regroup tests exclusion list and add new failing ones
- Use LOG.warning instead of deprecated LOG.warn
- Increase guest os ready timeout
- Remove ussuri jobs from the project's CI queues
- Don't use Ubuntu minimal in the Rocky and Queens scenario jobs
- [train]: add designate-tempest-plugin as req
- Increase "neutron-tempest-plugin-scenario-ovn" timeout to 3h
- [stable/{train,stein}] Use old guest image for these branches
- [stable/stein] Regroup tests exclusion list and add new failing ones
- Add a config option for BGP speaker scheduling
- Run designate scenario job on OVN
- Use an older version of neutron-tempest-plugin for stein jobs
- Use Ubuntu minimal image as advanced guest image
- Make neutron-tempest-plugin-vpnaas job OVS based
- Add skip function for IPv6Test tests
- Add tap-as-a-service API tests
- Refactoring - Use existing Tempest APIs in "QoS bandwidth limit rule" tests
- Use default "ds512M" advance image in older stable branches (II)
- Use default "ds512M" advance image in older stable branches
- Checking IP version from extra-dhcp-options
- Check if advanced image flavor already exists
- neutron-lib: Skip tempest job for changes in unit tests code
- Create a 384MB flavor for advance image
- setup.cfg: Replace dashes with underscores
- Configure a NetworkManager profile with ipv6 supported format
- Add new scenario jobs for distributed dhcp
- Fix StatefulConnection to not to fail on exit
- Add test for mac learning
- Add API tests for basic address_groups CRUD operations
- Disable test_established_tcp_session_after_re_attachinging_sg in LB job
- Enable tls-proxy in jobs where it was disabled
- Update definition of the neutron-tempest-plugin-dvr-multinode-scenario
- Bump OVN version for master jobs
- Update service client access test_dns_integration
- Fix test_allocate_ips_are_from_correct_subnet on ML2/OVN backend
- Changed minversion in tox to 3.18.0
- Cleanup Security Group rules after TC execution
- Add a test for overlapping SG rules
- Fix required extensions for the subnet's service type API tests
- Revert "Skip scenario tests if HA router will not be active"
- Enable tls-proxy support for test jobs
- Remove allowed_address_pair API tests
- Switch neutron-tempest-plugin-api job to be ML2/OVN
- Added test for reattached security groups
- New API test for subnet's service types
- Remove "active" attribute from the allowed_address_pairs
- Change way how tcpdump result is checked in multicast test
- Explicitly set jobs sfc and bgpvpn to ML2/OVS
- Remove train jobs from the project's CI queues
- Switch neutron-tempest-plugin-api job to be ML2/OVS
- Fix test to prevent network leak
- QoS rule negative tests
- Move back designate scenario job to the check queue
- Rewrite stein jobs using tempest_exclude_regex
- Unset new rolevar for run-tempest role for rocky jobs
- Fix DNS scenario tests
- Add QoS negative test, test_rule_create_rule_non_existent_policy
- Skip scenario tests if HA router will not be active
- Wait for HA router to be active on at least one agent
- Add iptables and listening sockets to debug info
- Add jobs definitions for the stable/wallaby branch
- jobs: remove devstack-gate references
- Add test for default DNS zone per tenant
- Switch to new rolevar for run-temepst role

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.0-0.20210528100254.5ad4e82
- Update patches

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.0-0.20210421181739.5ad4e82
- Update patches

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New test, extends test_subport_connectivity
- Revert "Mark test_floatingip_port_details test as unstable"

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set proper OVS_SYSCONFDIR for the job wher OVS is compiled
- ovn: Collect OVN logs
- Fix multicast scenario test
- Enable l3_ha in neutron config for scenario jobs

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a scenario test for remote address group
- Add tempest API tests for address groups RBAC

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add update QoS rule test step to fip-qos scenario
- Explicitly set jobs to ML2/OVS

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Delete qos policies created during scenario tests
- Add skip funtion for checking enabled extensions in the l3 agent

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Limit execution of the neutron CI jobs on some irrelevant file

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move designate scenario job to the experimental queue temporary

* Sat Feb 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Delete router test - API scenario
- test_metadata_routed: save console log
- Use tempest's ServiceClients rather than Manager

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add first VLAN Transparency tests
- Remove stein jobs from the project's queues
- Create security groups with the same name

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unmark port_forwarding tests as unstable (cont.)

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move fwaas jobs to the experimental queue

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add doc/requirements

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New test case: "test_port_with_fixed_ip"
- Router appended twice to routers list when created with create_router_by_client
- Add IPv6 port API test class and basic test
- test list the network(ipv6) ip usage stats
- negative cases for qos policy
- New "test_remove_associated_ports" negative test case
- cases associated with the port

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Mark test_dhcp_port_status_active api test as unstable
- remove all unused local variable
- Switch neutron-tempest-plugin-api job to be uwsgi based
- Make neutron-tempest-plugin-bgpvpn-bagpipe voting again
- Minor improvement in: test_qos_basic_and_update
- nagative cases for port

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add method to reserve the external subnet cidrs

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- start using available_features cfg option from tempest
- Set concurrency of scenario tests to 3
- Disable Cinder services in all neutron-tempest-plugin jobs
- Mark test_subport_connectivity as unstable for now
- "_log_ns_network_status" log if namespace does not exist
- Update TOX_CONSTRAINTS_FILE
- [Scenario] New test to check extra_dhcp_opts
- Implement "get_hostname" in SSH client class
- Consolidate some tempest tests in the neutron-tempest-plugin jobs

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unmark port_forwarding tests as unstable

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove six
- Skip fip_qos test is there is no L3 agent with extension enabled
- Stop disabling TLS for tests

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix access to dictionary variable "server"
- Skip WritableMtuTest for OVN

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve logging of vm's console output

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable Swift services in all scenario jobs
- Temporary blacklist test_trunk_subport_lifecycle in the ovn job
- Use different job definition for linuxbridge jobs runs on Xenial
- Check VM's console log before trying to SSH to it.
- Improve logging of network state on the test host
- Add more port_forwarding tests
- Replace assertItemsEqual with assertCountEqual
- remove unused local variable
- Add jobs template for stable/victoria branch
- Use Cirros 0.5.1 in scenario jobs for all branches
- Improve logging of vm's console output when test fails
- Mark some bgpvpn scenario tests unstable
- Wait longer time for FIP to be updated by L3 agent
- [SFC] Mark test test_update_port_pair_group_remove_port_pairs as unstable

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [SFC] Mark test test_update_port_pair_group_remove_port_pairs as unstable
- [SFC] Mark test test_update_port_pair_group_remove_port_pairs as unstable

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [SFC] Mark test test_update_port_pair_group_remove_port_pairs as unstable
- Set binding:profile upon port creation
- Migrate CI jobs to Ubuntu Focal
- Test metadata over IPv6
- Bump advanced image to ubuntu 18.04

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Focal

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- sort secgroups by name
- negative cases for router interface

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove dvr-multinode-scenario-queens job from the check queue

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove propagate_uplink_status API related tests

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make dynamic routing tests use clients as others

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add flag to forbid packet loss during remote ping test

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Verify admin deletion not to fail

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- case for update qos rule, rule or policy non-existent

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix neutron-dynamic-routing tests when DVR is disabled

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix cert handling for dynamic routing tests

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- test_port_forwarding_to_2_servers: netcat listen stops too soon

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add test: Editing and deleting port forwarding TCP rule
- Add test for checking intra security group isolation

* Sun Jun 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix openvswitch-iptables_hybrid ussuri branch

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add "test_port_forwardings_negative" module

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add neutron-tempest-plugin-scenario-ovn jobs

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable bridge debugging services on the ci jobs

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check interface is present in the VM

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove jobs for neutron-fwaas master branch

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Preserve floating IP address in FloatingIpMultipleRoutersTest

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move neutron-tempest-plugin-dvr-multinode-scenario job to experimental

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add timeout to check_connectivity method

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Mark VPNaaS scenario tests as unstable

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- test sort ascending and descending qos policies by name

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions
- Add py38 package metadata
- Have vpnaas job definition inherit irrelevant files

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update qos policy with long name and long description

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new scenario test for IPv6 hot plug

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use default network type during PortTestCasesResourceRequest setup
- Reorganize zuul jobs definitions
- Change wait parameter for ping command

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add test_ping_global_ip_from_vm_with_fip

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add job templates for stable/ussuri branch

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add nose to requirements.txt

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added new API test_sg_rules_quota_decrease_less_than_created.
- Ensure that external network don't have any ports before deletion
- Test security group creation with insufficient rules quota
- Fix issue when disassociating resources from firewall group
- Fix test_multicast_between_vms_on_same_network
- Only install plugin system-wide if INSTALL_TEMPEST is set
- Added new API test_create_sg_rules_when_quota_disabled

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Ensure that external network don't have any ports before deletion
- Fix issue when disassociating resources from firewall group
- Fix test_multicast_between_vms_on_same_network
- Only install plugin system-wide if INSTALL_TEMPEST is set
- Added new API test_create_sg_rules_when_quota_disabled
- Ensure that external network don't have any ports before deletion
- Fix issue when disassociating resources from firewall group
- Fix test_multicast_between_vms_on_same_network
- Only install plugin system-wide if INSTALL_TEMPEST is set
- Added new API test_create_sg_rules_when_quota_disabled

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure that external network don't have any ports before deletion

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added new API test_create_sg_rules_when_quota_disabled

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix issue when disassociating resources from firewall group
- Fix test_multicast_between_vms_on_same_network

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only install plugin system-wide if INSTALL_TEMPEST is set

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update docs building

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace old requires-python with python-requires

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set higher timeout for tests in scenario jobs

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add test_reuse_ip_address_with_other_fip...

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tempest api tests for address scopes RBAC

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tempest api tests for subnet pools RBAC

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added new API test_sg_rules_quota_values.

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Protect vs unordered results in TrunkTestInheritJSONBase

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable negative subnetpool test

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Test connectivity after migration of the server with trunk
- Fix how nc is called in qos test

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixed test_sg_quota_increased test
- Added description to test_sg_rules_quota_increased.
- Add test "test_create_instance_in_network_with_attached_policy"
- QoS - Change the way we measure bw limits
- Fix logging of console output in scenario tests

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Fixed test_sg_quota_increased test
- Added description to test_sg_rules_quota_increased.
- Add test "test_create_instance_in_network_with_attached_policy"
- QoS - Change the way we measure bw limits
- Fix logging of console output in scenario tests
- Fixed test_sg_quota_increased test
- Added description to test_sg_rules_quota_increased.
- Add test "test_create_instance_in_network_with_attached_policy"
- QoS - Change the way we measure bw limits
- Fix logging of console output in scenario tests

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixed test_sg_quota_increased test

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add test "test_create_instance_in_network_with_attached_policy"

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- QoS - Change the way we measure bw limits

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added description to test_sg_rules_quota_increased.

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix logging of console output in scenario tests

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding new test of security group rules quota increased.

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add test "attach_previously_used_port_to_new_instance"

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tagging of ports during bulk creation

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable trunk subports connectivity test on Rocky iptables_hybrid job

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rocky jobs will now be run with same version of plugin

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Helper class for BaseSecGroupRulesQuota tests.

* Sun Mar 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log vms' console output in scenario tests

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make bgpvpn-bagpipe tempest job voting again.

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add list security group rules API test

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable security group quotas in NetworkSecGroupTest
- Increase default security group quota up to 150
- Fix intermittent port_forwarding test failures
- Fix how nc client and server are run in scenario tests

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pin designate-tempest-plugin for Stein/Rocky/Queens branches
- Add port-range remote_group security group testcase

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop using not existing ShellCommandError exception class

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enhance the test_multicast_between_vms_on_same_network test
- Remove references to "tenant_id" in test_security_groups
- Modify rocky jobs to run with correct py version
- Remove references to "tenant_id" in test_qos
- Negative tests for security group quota
- Security group assignment negative tests
- Use default cirros image to reap the benefits of infra cache

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix test_connectivity_dvr_and_no_dvr_routers_in_same_subnet test
- Drop all Rocky jobs from both check and gate queues
- Change the default multicast group range

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove "unstable_test" decorator local implementation

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Adding pattern to check_remote_connectivity function"
- Adding pattern to check_remote_connectivity function

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use different CIDRs for private and public subnets

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add debugging information in case of SSH connection error"
- Add debugging information in case of SSH connection error

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix how netcat is called when started as server"
- Fix how netcat is called when started as server

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Positive tests for security group quota"
- Positive tests for security group quota

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove TEMPEST_BRANCH var from neutron queens job."
- Remove TEMPEST_BRANCH var from neutron queens job.

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix neutron-tempest-plugin tag for queens jobs"
- Fix neutron-tempest-plugin tag for queens jobs

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused method "create_network_keystone_v3"

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove references to "tenant_id" in test_shared_network_extension

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Switch neutron-dynamic-routing job to be non-voting temporaray""
- Merge "Extend tests for external DNS integration"
- Revert "Switch neutron-dynamic-routing job to be non-voting temporaray"
- Merge "Switch fwaas jobs to be non-voting and non gating temporary"
- Switch fwaas jobs to be non-voting and non gating temporary
- Stop re-using client connections
- Extend tests for external DNS integration

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add test to attach and detach policies with regular client"
- Add "test_delete_agent_negative"
- Add test to attach and detach policies with regular client
- Merge "Migrate neutron-vpnaas tests to neutron-tempest-plugin"
- Migrate neutron-vpnaas tests to neutron-tempest-plugin
- Merge "Queens jobs will now be run with same version of plugin"
- Merge "Use python 3 on all nodes in multinode job"
- Merge "Add test to create policy with multiple rules"
- Add test to create policy with multiple rules
- Temporarily limit SFC testing concurrency
- Use python 3 on all nodes in multinode job
- Merge "bgp_speaker_extensions: Don't execute the negative tests under smoke"
- Queens jobs will now be run with same version of plugin
- bgp_speaker_extensions: Don't execute the negative tests under smoke

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add stable/train jobs definitions"
- Merge "Fix errors in designate scenarios jobs"
- Add stable/train jobs definitions
- Merge "Fix list of API extensions for dvr and designate jobs"
- Merge "Mark port_forwarding scenario test as unstable temporary"
- Mark port_forwarding scenario test as unstable temporary
- Mark multicast scenario test as unstable for now
- Switch neutron-dynamic-routing job to be non-voting temporaray
- Merge "Add test to create and update DSCP values"
- Fix list of API extensions for dvr and designate jobs
- Add test to create and update DSCP values
- Fix errors in designate scenarios jobs

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update the constraints url"
- Merge "Make one agent untouchable in test_agent_management"
- Merge "Add stadium projects jobs to the gate queue"
- Merge "Check parameters returned in "list_network_segment_ranges""
- Check parameters returned in "list_network_segment_ranges"
- Make one agent untouchable in test_agent_management
- Add stadium projects jobs to the gate queue
- Update the constraints url

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add scenario test for port forwarding and UDP"
- Add scenario test for port forwarding and UDP
- Merge "Switch bagpipe-bgpvpn job to be run using Python3"
- Switch bagpipe-bgpvpn job to be run using Python3
- Merge "Disable scenario test for trunk subports connectivity on Queens"
- Disable scenario test for trunk subports connectivity on Queens


